import React,{useContext} from 'react'
import { TaskContext } from '../context/TaskContext';

export default function TaskItem(props) {
  const {item} = props;
  const {removeTask} = useContext(TaskContext)

  return (
    <div className='border p-2 my-3 shadow-sm overflow-hidden' >
      {item.name}
      <button onClick={() => {
        removeTask(item.id);
      }} className='bg-danger float-end'>X</button>
    </div>
  )
}
